#import "../Fragments/PageSettings.graphql"

query GetAccountPageSettings($uid: String!, $locale: String!) {
  page: account_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetCampaignPageSettings($uid: String!, $locale: String!) {
  page: campaign_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetCollectionPageSettings($uid: String!, $locale: String!) {
  page: collection_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetContentPageSettings($uid: String!, $locale: String!) {
  page: content_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetCurrentBlocksPageSettings($uid: String!, $locale: String!) {
  page: current_blocks_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetDestinationCityPageSettings($uid: String!, $locale: String!) {
  page: destination_city_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetDestinationCountryPageSettings($uid: String!, $locale: String!) {
  page: destination_country_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetDestinationOverviewPageSettings($uid: String!, $locale: String!) {
  page: destination_overview_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetHotelPageSettings($uid: String!, $locale: String!) {
  page: hotel_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetLoyaltyPageSettings($uid: String!, $locale: String!) {
  page: loyalty_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}

query GetStartPageSettings($uid: String!, $locale: String!) {
  page: start_page(uid: $uid, locale: $locale) {
    settings: page_settings {
      ...PageSettings
    }
  }
}
